LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   /usr/lib/libstdc++.so.5: version 'GLIBCPP_3.2.2' not found (http://www.linuxquestions.org/questions/linux-software-2/usr-lib-libstdc-so-5-version-glibcpp_3-2-2-not-found-191843/)

vidi 06-10-2004 04:42 AM

/usr/lib/libstdc++.so.5: version 'GLIBCPP_3.2.2' not found
 
Hello,

In my company we are developing applications for Linux Montavista. The platform we are developing on is SuSE 9.0 and we compile using gcc.

I have the following issue: for an application of mine the compilation works fine but when I want to run the application on Montavista I have the following errors:
/usr/lib/libstdc++.so.5: version 'GLIBCPP_3.2.2' not found
/usr/lib/libstdc++.so.5: version 'GLIBCPP_3.2.3' not found

Do you have any idea about this?
Ovidiu

Andrew Benton 06-10-2004 09:26 AM

Looks like it's looking for a shared library that's present on the host system where the software was compiled but isn't available on the platform where you're trying to run it. Your options are to either install what it needs on Montavista or compile your application statically linked so it doesn't need any externel shared libraries. The downside to this is that as everything is built in it makes the binary much larger.


All times are GMT -5. The time now is 05:19 AM.